## ros-humble-moveit-ros-occupancy-map-monitor 2.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_ros_occupancy_map_monitor)
set(MOVEIT_LIB_NAME ${PROJECT_NAME})

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

if(APPLE)
  find_package(X11 REQUIRED)
endif()

find_package(moveit_core REQUIRED)
find_package(moveit_msgs REQUIRED)
find_package(pluginlib REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(octomap REQUIRED)
find_package(geometric_shapes REQUIRED)
find_package(tf2_ros REQUIRED)


include_directories(include)
include_directories(SYSTEM
  ${EIGEN3_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  rclcpp
  moveit_core
  moveit_msgs
  pluginlib
  octomap
  geometric_shapes
  Boost
)

add_library(${MOVEIT_LIB_NAME} SHARED
  src/occupancy_map_monitor.cpp
  src/occupancy_map_monitor_middleware_handle.cpp
  src/occupancy_map_updater.cpp
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(${MOVEIT_LIB_NAME}
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)

add_executable(moveit_ros_occupancy_map_server src/occupancy_map_server.cpp)
ament_target_dependencies(moveit_ros_occupancy_map_server
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)
target_link_libraries(moveit_ros_occupancy_map_server ${MOVEIT_LIB_NAME})

install(
  TARGETS ${MOVEIT_LIB_NAME}
  EXPORT export_${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

install(TARGETS moveit_ros_occupancy_map_server
  DESTINATION lib/${PROJECT_NAME}
)
install(DIRECTORY include/ DESTINATION include)

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS} eigen3_cmake_module)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gmock REQUIRED)

  ament_add_gmock(occupancy_map_monitor_tests
    test/occupancy_map_monitor_tests.cpp
  )
  target_link_libraries(occupancy_map_monitor_tests
    ${MOVEIT_LIB_NAME}
  )
endif()

ament_package()

=== debian/changelog ===
ros-humble-moveit-ros-occupancy-map-monitor (2.5.5-1jammy) jammy; urgency=high

  * Switch to clang-format-14 (#1877 <https://github.com/ros-planning/moveit2/issues/1877>) (#1880 <https://github.com/ros-planning/moveit2/issues/1880>)
    * Switch to clang-format-14
    * Fix clang-format-14
    (cherry picked from commit 7fa5eaf1ac21ab8a99c5adae53bd0a2d4abf98f6)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Re-enable clang-tidy check performance-unnecessary-value-param (backport #1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Re-enable clang-tidy check performance-unnecessary-value-param (#1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: Robert Haschke <mailto:rhaschke@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-humble-moveit-ros-occupancy-map-monitor (2.5.4-1jammy) jammy; urgency=high

  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 03 Nov 2022 23:00:00 -0000

ros-humble-moveit-ros-occupancy-map-monitor (2.5.3-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 22:00:00 -0000

ros-humble-moveit-ros-occupancy-map-monitor (2.5.2-1jammy) jammy; urgency=high

  * Remove no longer needed no-pedantic option in moveit_ros_occupancy_map_monitor package (#1397 <https://github.com/ros-planning/moveit2/issues/1397>)
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * Removing some boost usage (#1331 <https://github.com/ros-planning/moveit2/issues/1331>)
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Merge pull request #3106 <https://github.com/ros-planning/moveit2/issues/3106> from v4hn/pr-master-bind-them-all / banish bind()
  * banish bind()
  * various: prefer objects and references over pointers
  * Contributors: David V. Lu, Henry Moore, Jafar, Michael Görner, Nathan Brooks, v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 17 Jul 2022 22:00:00 -0000

ros-humble-moveit-ros-occupancy-map-monitor (2.5.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 30 May 2022 22:00:00 -0000

ros-humble-moveit-ros-occupancy-map-monitor (2.5.0-1jammy) jammy; urgency=high

  * Enable cppcheck (#1224 <https://github.com/ros-planning/moveit2/issues/1224>)
    Co-authored-by: jeoseo <mailto:jeongwooseo2012@gmail.com>
  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Remove unused includes for boost::bind (#1220 <https://github.com/ros-planning/moveit2/issues/1220>)
  * Avoid bind(), use lambdas instead (#1204 <https://github.com/ros-planning/moveit2/issues/1204>)
    Adaption of https://github.com/ros-planning/moveit/pull/3106
  * banish bind()
    source:https://github.com/ros-planning/moveit/pull/3106/commits/a2911c80c28958c1fce8fb52333d770248c4ec05; required minor updates compared to original source commit in order to ensure compatibility with ROS2
  * various: prefer object and references over pointers
    source: https://github.com/ros-planning/moveit/pull/3106/commits/1a8e5715e3142a92977ac585031b9dc1871f8718; this commit contains minor changes when compared to the source commit which it is based on, these changes are limited to ensuring compatibility with ROS2.
  * Disable separate TransformListener thread in OccupancyMapServer (#1130 <https://github.com/ros-planning/moveit2/issues/1130>)
  * Merge https://github.com/ros-planning/moveit/commit/ab42a1d7017b27eb6c353fb29331b2da08ab0039
  * 1.1.9
  * Misc fixes for time and transforms (#768 <https://github.com/ros-planning/moveit2/issues/768>)
    * Fix setting shape_transform_cache_lookup_wait_time from seconds
    * Fix setting last_update_time from seconds
    * Check the return value of canTransform
  * 1.1.8
  * Remove unused parameters. (#1018 <https://github.com/ros-planning/moveit2/issues/1018>)
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * 1.1.7
  * Switch to std::bind (#2967 <https://github.com/ros-planning/moveit2/issues/2967>)
    * boost::bind -> std::bind
    grep -rlI --exclude-dir=.git "boost::bind" | xargs sed -i 's/boost::bind/std::bind/g'
    * Convert bind placeholders
    grep -rlI --exclude-dir=.git " _[0-9]" | xargs sed -i 's/ _([0-9])/ std::placeholders::_1/g'
    * Update bind include header
    grep -rlI --exclude-dir=.git "boost/bind" | xargs sed -i 's#boost/bind.hpp#functional#'
  * 1.1.6
  * Contributors: Abishalini, Cory Crean, Henning Kayser, Jafar, Jafar Abdi, Jochen Sprickerhof, Robert Haschke, Stephanie Eng, jeoseo, v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 25 May 2022 22:00:00 -0000

ros-humble-moveit-ros-occupancy-map-monitor (2.4.0-1jammy) jammy; urgency=high

  * Fix boost linking errors for Windows (#957 <https://github.com/ros-planning/moveit2/issues/957>)
  * Replace NULL with nullptr (#961 <https://github.com/ros-planning/moveit2/issues/961>)
    * Fixes #841 <https://github.com/ros-planning/moveit2/issues/841>
  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Akash, Robert Haschke, Stephanie Eng



=== debian/control ===
Source: ros-humble-moveit-ros-occupancy-map-monitor
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-eigen3-cmake-module, ros-humble-geometric-shapes, ros-humble-moveit-common, ros-humble-moveit-core, ros-humble-moveit-msgs, ros-humble-octomap, ros-humble-pluginlib (>= 1.11.2), ros-humble-rclcpp, ros-humble-tf2-ros, ros-humble-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-humble-moveit-ros-occupancy-map-monitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-humble-eigen3-cmake-module, ros-humble-geometric-shapes, ros-humble-moveit-common, ros-humble-moveit-core, ros-humble-moveit-msgs, ros-humble-octomap, ros-humble-pluginlib (>= 1.11.2), ros-humble-rclcpp, ros-humble-tf2-ros, ros-humble-ros-workspace
Description: Components of MoveIt connecting to occupancy map

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-moveit-ros-occupancy-map-monitor//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
